package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考试集合班级关联对象 sim_real_exam_collection_dept
 *
 * @author tom
 * @date 2024-12-13
 */
public class RealExamCollectionDept extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long relId;

    /**
     * 正式考试集合ID
     */
    @Excel(name = "正式考试集合ID")
    private Long examCollectionId;

    /**
     * 班级ID/部门ID
     */
    @Excel(name = "班级ID/部门ID")
    private Long deptId;

    public void setRelId(Long relId) {
        this.relId = relId;
    }

    public Long getRelId() {
        return relId;
    }

    public void setExamCollectionId(Long examCollectionId) {
        this.examCollectionId = examCollectionId;
    }

    public Long getExamCollectionId() {
        return examCollectionId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("relId", getRelId())
                .append("examCollectionId", getExamCollectionId())
                .append("deptId", getDeptId())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
